Package Details: saleae-logic 1.2.18-1

Git Clone URL: https://aur.archlinux.org/saleae-logic.git (read-only, click to copy)
Package Base: saleae-logic
Description: High speed USB logic analyzer.
Upstream URL: http://www.saleae.com/
Licenses: unknown
Submitter: keenerd
Maintainer: None
Last Packager: keenerd
Votes: 42
Popularity: 0.000000
First Submitted: 2010-10-16 10:51 (UTC)
Last Updated: 2018-05-10 02:15 (UTC)

Latest Comments

MarsSeed commented on 2022-02-22 10:06 (UTC)

I have triggered this package to become orphaned, so a new volunteer can adopt it and update it.

khenderick commented on 2021-03-19 06:11 (UTC)

@keenerd: When starting, the software give a notice that the version is outdated, and at this time, version 2.3.22 is offered as download.

sdp8483 commented on 2021-02-03 21:41 (UTC)

I had to add udev rules by following instructions found here: https://schou.dk/linux/saleae/

keenerd commented on 2020-10-06 09:40 (UTC)

What specifically is out of date? 1.2.18 is the latest version at https://www.saleae.com/downloads/

JohnRobson commented on 2019-12-08 07:04 (UTC)

Got keys from plugin meta data ("xcb")
loaded library "/opt/saleae-logic/platforms/libqxcb.so"
QLibraryPrivate::loadPlugin failed on "/opt/saleae-logic/platforms/libqxcb.so" : "Cannot load library /opt/saleae-logic/platforms/libqxcb.so: (/opt/saleae-logic/libQt5Core.so.5: version `Qt_5.13' not found (required by /usr/lib/libQt5XcbQpa.so.5))"
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "/usr/lib/qt/plugins/platforms".

Available platform plugins are: xcb.

Reinstalling the application may fix this problem.
Aborted (core dumped)

keenerd commented on 2018-05-10 02:14 (UTC)

I hate to say "Works for me" but it works for me. Can you be more explicit with the error messages?

craftyguy commented on 2017-05-20 15:23 (UTC)

@keenerd Are you still willing/able to maintain this package? It's broken in its current form, and there have been updates recently. If not, I would gladly take over maintainership!

libcg commented on 2017-05-04 22:21 (UTC)

I needed to install openssl-1.0-compat and add LD_LIBRARY_PATH=/usr/lib/openssl-1.0-compat in /usr/bin/logic to make it work.

ildus commented on 2017-02-21 21:27 (UTC)

hi, there is a new version, i made a diff that you can use to update the package: https://gist.github.com/ildus/188d7bd49b57bf857eac9487da17e886 . Also there was bug in starting script that caused segmentation fault, diff has a fix for it too.

keenerd commented on 2016-12-10 06:22 (UTC)

To all 32-bit users: 1.2.11 has dropped support for you.

keenerd commented on 2016-08-24 19:00 (UTC)

anatolik, that is what the flag-out-of-date button is for.

anatolik commented on 2016-08-24 04:09 (UTC)

Saleae offers 1.2.10 at its download page. I believe it is the stable version now.

mr_337 commented on 2016-08-13 19:55 (UTC)

running into same problem as @rvega

rvega commented on 2016-07-27 17:48 (UTC)

The url http://kde-look.org/CONTENT/content-files/133473-SaleaeLogic.svg returns a "No authorization" page. Removing it from the source and md5sums arrays fixes the installation but the application has no icon.

keenerd commented on 2016-06-11 13:31 (UTC)

It is being executed, but pacman ignores (and warns) when directories change permissions. Uninstall the package and reinstall it, and the correct permissions will be used.

baldman88 commented on 2016-06-11 09:35 (UTC)

Senco, thank you. Your solution works for me to: sudo chmod 0777 /opt/saleae-logic sudo chmod 0777 /opt/saleae-logic/Databases

Senco commented on 2016-06-11 08:10 (UTC) (edited on 2016-06-11 08:27 (UTC) by Senco)

Same as baldman88 - core dumped. EDIT: After a bit of snooping, it seems that for reasons unknown line 46 in PKGBUILD is not executed. Doing it by hand fixed things.

baldman88 commented on 2016-06-11 07:41 (UTC)

After upgrade to 1.2.9-1: Segmentation fault (core dumped)

lopsided98 commented on 2016-05-26 00:15 (UTC)

The SVG file (icon?), cannot be accessed anymore, it gives a 403 error.

de-vries commented on 2016-01-01 16:05 (UTC)

package() currently fails with the following error: ==> Starting package()... install: cannot stat ‘../../*.pdf’: No such file or directory Looks like some files were moved around.

anatolik commented on 2015-11-18 05:50 (UTC)

udev rules should be installed in /usr/lib/udev/rules.d/

keenerd commented on 2014-10-12 01:33 (UTC)

Upload your pkgbuild to a paste site, I will merge in the changes.

gpskarsten commented on 2014-10-08 09:29 (UTC)

I've pached the PKGBUILD to add a menu entry with icon. What is the best way to make it available?

iorbitearth commented on 2014-02-14 02:30 (UTC)

I flagged the package out of date because I saw a later version.. but I didn't realize it's still a beta release. Sorry about that. http://community.saleae.com/

keenerd commented on 2013-02-10 15:53 (UTC)

Thank you, fixed.

will.price94 commented on 2013-02-02 13:20 (UTC)

The package no longer builds for 32 bit as the source package has (32 bit) in it. __arch=' (32 bit)' needs to be added to the case statement handling i686.

HaaTa commented on 2012-09-06 17:46 (UTC)

64bit MD5 sum doesn't match.

jputcu commented on 2012-04-18 19:52 (UTC)

Using wget as XferCommand in pacman configuration indeed handles it ok, but notice that this AUR site is not very fond of spaces in source urls.

keenerd commented on 2012-04-15 12:40 (UTC)

Done, but you really should be using a download method that is not made from soggy cardboard instead. Both Curl and Wget handle the spaces fine.

jputcu commented on 2012-04-15 10:27 (UTC)

Had a problem with the spaces in the source urls, replaced them with "%20", see git://gist.github.com/2391708.git.

oneeyed commented on 2012-04-10 11:20 (UTC)

Download URL has changed, here is a working PKGBUILD: https://gist.github.com/2350602

oneeyed commented on 2012-04-10 11:07 (UTC)

==> Validating source files with md5sums... Logic 1.1.15 (64-bit).zip ... FAILED Logic Guide.pdf ... Passed

oneeyed commented on 2011-01-19 13:38 (UTC)

The checksum for the documentation should be updated.

keenerd commented on 2010-10-31 05:44 (UTC)

Temporarily hosting myself.

craig commented on 2010-10-31 05:16 (UTC)

The website has been hacked! Links no longer work.